#ifndef DCOPIFACE_H
#define DCOPIFACE_H

#include "dcopiface.h"
#include <player.h>
#include <plugin.h>

#include <dcopobject.h>

class NIF : public Plugin, public DCOPObject
{
K_DCOP

void _pluginDelete() { delete this; }

public:
	NIF();
	~NIF() {}

k_dcop:
	void toggleListView();
	void handleButtons();
	void removeCurrent();

	void back();
	void stop();
	void play();
	void playpause();
	void fastForward();
	void skipTo(int);
	void loop();

	void newCurrent();
	void playCurrent();
	void setVolume(int);

	/**
	 * length in seconds
	 **/
	int length();
	/**
	 * position in mille
	 **/
	int position();

	/**
	 * 0 stopped
	 * 1 paused
	 * 2 playing
	 **/
	int state();
	
	QString lengthString();
	QString title();
};

#endif

